SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   OS (UNIX)  >   Solaris Vendors:   Oracle, Sun
Solaris Bugs Let Local Users Gain Elevated Privileges and Deny Service
SecurityTracker Alert ID:  1030588
SecurityTracker URL:  http://securitytracker.com/id/1030588
CVE Reference:   CVE-2014-4215, CVE-2014-4224, CVE-2014-4225   (Links to External Site)
Updated:  Jul 16 2014
Original Entry Date:  Jul 16 2014
Impact:   Denial of service via local system, Root access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 8, 9, 10, 11.1
Description:   Three vulnerabilities were reported in Oracle Solaris. A local user can obtain elevated privileges on the target system. A local user can cause denial of service conditions.

A local user can exploit a flaw in the CPU performance counters (CPC) drivers to cause denial of service conditions [CVE-2014-4215]. Solaris 10 and 11.1 are affected.

A local user can exploit a flaw in sockfs to cause denial of service conditions [CVE-2014-4224].

A local user can exploit a flaw in the patch installation scripts to gain elevated privileges [CVE-2014-4225]. Solaris 10 is affected.

The following researchers reported these and other Oracle vulnerabilities:

Alon Friedman; Andrea Micalizzi aka rgod, working with HP's Zero Day Initiative; Borked of the Google Security Team; CERT/CC; Cihan Oncu; David Litchfield of Datacom TSS; Florian Weimer of Red Hat; Ilja van Sprundel of ioactive.com; Jeroen Frijters;
John Leitch working with HP's Zero Day Initiative; Larry W. Cashdollar; Matt Bergin of KoreLogic Disclosures; Michael Miller of Integrigy; Peter Kamensky of ERPScan (Digital Security Research Group); Rafal Wojtczuk of Bromium;
Rohan Stelling of BAE Systems Detica; Sayan Malakshinov of PSBank; Serguei Mourachov; Toby Clarke of Gotham Digital Science; and Yash Kadakia of Security Brigade.

Impact:   A local user can obtain elevated privileges on the target system.

A local user can cause denial of service conditions on the target system.

Solution:   The vendor has issued a fix as part of Oracle Critical Patch Update Advisory - July 2014.

The vendor's advisory is available at:

http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html

Vendor URL:  www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html (Links to External Site)
Cause:   Not specified

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC